# Generated by Django 5.2 on 2025-05-13 02:45

import django.db.models.deletion
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('brands', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Campaign',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, verbose_name='活动名称')),
                ('description', models.TextField(blank=True, null=True, verbose_name='活动描述')),
                ('image_url', models.CharField(blank=True, max_length=255, null=True, verbose_name='活动图片')),
                ('service', models.CharField(blank=True, max_length=100, null=True, verbose_name='服务类型')),
                ('creator_type', models.CharField(blank=True, max_length=100, null=True, verbose_name='创作者类型')),
                ('creator_level', models.CharField(blank=True, max_length=100, null=True, verbose_name='创作者等级')),
                ('creator_category', models.CharField(blank=True, max_length=100, null=True, verbose_name='创作者分类')),
                ('creators_count', models.IntegerField(default=0, verbose_name='创作者数量')),
                ('gmv', models.CharField(blank=True, max_length=100, null=True, verbose_name='GMV范围')),
                ('followers', models.CharField(blank=True, max_length=100, null=True, verbose_name='粉丝数范围')),
                ('views', models.CharField(blank=True, max_length=100, null=True, verbose_name='浏览量范围')),
                ('budget', models.CharField(blank=True, max_length=100, null=True, verbose_name='预算范围')),
                ('start_date', models.DateTimeField(blank=True, null=True, verbose_name='开始日期')),
                ('end_date', models.DateTimeField(blank=True, null=True, verbose_name='结束日期')),
                ('dataset_id', models.CharField(help_text='外部知识库系统中的ID', max_length=100, verbose_name='知识库ID')),
                ('external_id', models.CharField(blank=True, help_text='外部系统中的唯一标识', max_length=100, null=True, verbose_name='外部ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否激活')),
            ],
            options={
                'verbose_name': '活动',
                'verbose_name_plural': '活动',
                'db_table': 'campaigns',
            },
        ),
        migrations.AlterUniqueTogether(
            name='activity',
            unique_together=None,
        ),
        migrations.RemoveField(
            model_name='activity',
            name='brand',
        ),
        migrations.AddField(
            model_name='brand',
            name='campaign_id',
            field=models.CharField(blank=True, max_length=100, null=True, verbose_name='活动ID'),
        ),
        migrations.AddField(
            model_name='brand',
            name='category',
            field=models.CharField(blank=True, max_length=100, null=True, verbose_name='品牌分类'),
        ),
        migrations.AddField(
            model_name='brand',
            name='collab_count',
            field=models.IntegerField(default=0, verbose_name='合作数量'),
        ),
        migrations.AddField(
            model_name='brand',
            name='creators_count',
            field=models.IntegerField(default=0, verbose_name='创作者数量'),
        ),
        migrations.AddField(
            model_name='brand',
            name='shop_overall_rating',
            field=models.DecimalField(decimal_places=1, default=0.0, max_digits=3, verbose_name='店铺评分'),
        ),
        migrations.AddField(
            model_name='brand',
            name='source',
            field=models.CharField(blank=True, max_length=100, null=True, verbose_name='来源'),
        ),
        migrations.AddField(
            model_name='brand',
            name='total_gmv_achieved',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=12, verbose_name='总GMV'),
        ),
        migrations.AddField(
            model_name='brand',
            name='total_views_achieved',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=12, verbose_name='总浏览量'),
        ),
        migrations.AddField(
            model_name='product',
            name='available_samples',
            field=models.IntegerField(default=0, verbose_name='可用样品数'),
        ),
        migrations.AddField(
            model_name='product',
            name='collab_creators',
            field=models.IntegerField(default=0, verbose_name='合作创作者数'),
        ),
        migrations.AddField(
            model_name='product',
            name='commission_rate',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=5, verbose_name='佣金率'),
        ),
        migrations.AddField(
            model_name='product',
            name='items_sold',
            field=models.IntegerField(default=0, verbose_name='已售数量'),
        ),
        migrations.AddField(
            model_name='product',
            name='open_collab',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=5, verbose_name='开放合作率'),
        ),
        migrations.AddField(
            model_name='product',
            name='pid',
            field=models.CharField(blank=True, max_length=100, null=True, verbose_name='产品ID'),
        ),
        migrations.AddField(
            model_name='product',
            name='product_rating',
            field=models.DecimalField(decimal_places=1, default=0, max_digits=3, verbose_name='产品评分'),
        ),
        migrations.AddField(
            model_name='product',
            name='reviews_count',
            field=models.IntegerField(default=0, verbose_name='评价数量'),
        ),
        migrations.AddField(
            model_name='product',
            name='sales_price_max',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='最高销售价'),
        ),
        migrations.AddField(
            model_name='product',
            name='sales_price_min',
            field=models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='最低销售价'),
        ),
        migrations.AddField(
            model_name='product',
            name='stock',
            field=models.IntegerField(default=0, verbose_name='库存'),
        ),
        migrations.AddField(
            model_name='product',
            name='tiktok_shop',
            field=models.BooleanField(default=False, verbose_name='是否TikTok商店'),
        ),
        migrations.AddIndex(
            model_name='product',
            index=models.Index(fields=['pid'], name='products_pid_99aab2_idx'),
        ),
        migrations.AddField(
            model_name='campaign',
            name='brand',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='campaigns', to='brands.brand', verbose_name='所属品牌'),
        ),
        migrations.AddField(
            model_name='campaign',
            name='link_product',
            field=models.ManyToManyField(blank=True, related_name='campaigns', to='brands.product', verbose_name='关联产品'),
        ),
        migrations.DeleteModel(
            name='Activity',
        ),
        migrations.AddIndex(
            model_name='campaign',
            index=models.Index(fields=['brand'], name='campaigns_brand_i_c2d4bd_idx'),
        ),
        migrations.AddIndex(
            model_name='campaign',
            index=models.Index(fields=['dataset_id'], name='campaigns_dataset_bfbb68_idx'),
        ),
        migrations.AddIndex(
            model_name='campaign',
            index=models.Index(fields=['is_active'], name='campaigns_is_acti_6c57d0_idx'),
        ),
        migrations.AddIndex(
            model_name='campaign',
            index=models.Index(fields=['start_date'], name='campaigns_start_d_5c2c6b_idx'),
        ),
        migrations.AddIndex(
            model_name='campaign',
            index=models.Index(fields=['end_date'], name='campaigns_end_dat_6aaba4_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='campaign',
            unique_together={('brand', 'name')},
        ),
    ]
