# Generated by Django 5.2 on 2025-05-20 06:52

import django.db.models.deletion
import uuid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('gmail', '0008_alter_gmailattachment_attachment_id'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='gmailconversation',
            name='has_sent_greeting',
            field=models.BooleanField(default=False, help_text='Whether a greeting message has been sent to this conversation'),
        ),
        migrations.AlterField(
            model_name='gmailconversation',
            name='conversation_id',
            field=models.CharField(help_text='Unique conversation identifier', max_length=100, unique=True),
        ),
        migrations.AlterField(
            model_name='gmailconversation',
            name='influencer_email',
            field=models.EmailField(help_text="Influencer's email address", max_length=254),
        ),
        migrations.AlterField(
            model_name='gmailconversation',
            name='is_active',
            field=models.BooleanField(default=True, help_text='Whether this conversation is active'),
        ),
        migrations.AlterField(
            model_name='gmailconversation',
            name='last_sync_time',
            field=models.DateTimeField(blank=True, help_text='Last time conversation was synced with Gmail', null=True),
        ),
        migrations.AlterField(
            model_name='gmailconversation',
            name='metadata',
            field=models.JSONField(blank=True, help_text='Additional metadata for the conversation', null=True),
        ),
        migrations.AlterField(
            model_name='gmailconversation',
            name='title',
            field=models.CharField(help_text='Conversation title', max_length=255),
        ),
        migrations.AlterField(
            model_name='gmailconversation',
            name='user_email',
            field=models.EmailField(help_text="User's Gmail address", max_length=254),
        ),
        migrations.CreateModel(
            name='AutoReplyConfig',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('user_email', models.EmailField(help_text='用户Gmail邮箱', max_length=254)),
                ('influencer_email', models.EmailField(help_text='达人Gmail邮箱', max_length=254)),
                ('is_enabled', models.BooleanField(default=True, help_text='是否启用自动回复')),
                ('goal_description', models.TextField(help_text='AI回复时参考的目标', verbose_name='自动回复的目标描述')),
                ('reply_template', models.TextField(blank=True, help_text='回复模板（可选，为空则由AI生成）', null=True)),
                ('max_replies', models.IntegerField(default=5, help_text='最大自动回复次数')),
                ('current_replies', models.IntegerField(default=0, help_text='当前已自动回复次数')),
                ('last_reply_time', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('metadata', models.JSONField(blank=True, default=dict, help_text='存储额外信息，如已处理的消息ID等', null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='auto_reply_configs', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Gmail自动回复配置',
                'verbose_name_plural': 'Gmail自动回复配置',
                'db_table': 'gmail_auto_reply_configs',
                'ordering': ['-updated_at'],
                'unique_together': {('user', 'user_email', 'influencer_email')},
            },
        ),
    ]
